﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns='http://www.w3.org/1999/xhtml'>
<head id="Head1" runat="server">
    <title>Telerik ASP.NET Example</title>
    <style type="text/css">
        html .RadScheduler .rsHeader h2 {
            color: green;
        }
    </style>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <div class="exampleContainer">
            <telerik:RadScheduler runat="server" ID="RadScheduler1" DayStartTime="08:00:00"
                DayEndTime="19:00:00" WorkDayStartTime="09:00:00" WorkDayEndTime="18:00:00"
                OnDataBound="RadScheduler1_DataBound"
                OnAppointmentCreated="RadScheduler1_AppointmentCreated"
                EnableDescriptionField="true"
                OverflowBehavior="Auto">
                <AdvancedForm Modal="true"></AdvancedForm>
                <Reminders Enabled="true"></Reminders>
                <TimeSlotContextMenuSettings EnableDefault="true"></TimeSlotContextMenuSettings>
                <AppointmentContextMenuSettings EnableDefault="true"></AppointmentContextMenuSettings>
                <ExportSettings OpenInNewWindow="true" FileName="SchedulerExport">
                    <Pdf PageTitle="Schedule" Author="Telerik" Creator="Telerik" Title="Schedule" StyleSheets="ExportStyle.css"></Pdf>
                </ExportSettings>
                <AppointmentTemplate>
                    <div>
                        <%# Eval("Subject") %>
                    </div>
                    <div style="font-style: italic;">
                        <%# Eval("Description") %>
                    </div>
                </AppointmentTemplate>
            </telerik:RadScheduler>
            <p>
                <telerik:RadButton ID="RadButton1" runat="server" Text="Export to PDF" OnClick="RadButton1_Click">
                    <Icon PrimaryIconUrl="Image/pdf.gif"></Icon>
                </telerik:RadButton>
            </p>
        </div>
    </form>
</body>
</html>
