﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using Telerik.Web.UI.Scheduler;

public partial class Default : System.Web.UI.Page
{
    private const string ProviderSessionKey = "Telerik.Web.Examples.Scheduler.XmlSchedulerProvider.DefaultCS";

    protected void Page_Init(object sender, EventArgs e)
    {
        Telerik.Web.UI.XmlSchedulerProvider provider;
        if ((Session[ProviderSessionKey] == null) || (!IsPostBack))
        {
            provider = new Telerik.Web.UI.XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments.xml"), true);
            Session[ProviderSessionKey] = provider;
        }
        else
        {
            provider = (Telerik.Web.UI.XmlSchedulerProvider)Session[ProviderSessionKey];
        }

        RadScheduler1.Provider = provider;
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadScheduler1_DataBound(object sender, EventArgs e)
    {
        // Turn off the support for multiple resource values.
        foreach (ResourceType resType in RadScheduler1.ResourceTypes)
        {
            resType.AllowMultipleValues = false;
        }
    }

    protected void RadScheduler1_AppointmentCreated(object sender, AppointmentCreatedEventArgs e)
    {
       
        if (e.Appointment.RecurrenceState == RecurrenceState.Master || e.Appointment.RecurrenceState == RecurrenceState.Occurrence)
        {
            Panel recurrenceStateDiv = new Panel();
            recurrenceStateDiv.CssClass = "rsAptRecurrence";
            e.Container.Controls.AddAt(0, recurrenceStateDiv);
        }
        if (e.Appointment.RecurrenceState == RecurrenceState.Exception)
        {
            Panel recurrenceStateDiv = new Panel();
            recurrenceStateDiv.CssClass = "rsAptRecurrenceException";
            e.Container.Controls.AddAt(0, recurrenceStateDiv);
        }
        e.Appointment.Attributes.CssStyle.Add(HtmlTextWriterStyle.BackgroundColor, "black !important");
        e.Appointment.Attributes.CssStyle.Add(HtmlTextWriterStyle.FontWeight, "bold !important;");
        e.Appointment.Attributes.Add("style", "font-weight: bold !important;");
        e.Appointment.Attributes["style"] = "font-weight: bold !important;";
    }

    protected void RadButton1_Click(object sender, EventArgs e)
    {
        RadScheduler1.ExportToPdf();
    }
}
